import React, { useState, useEffect } from "react";
import { Typography } from "@material-ui/core";

export const MemoryUsage = () => {
    const [memoryUsage, setMemoryUsage] = useState("Loading...");

    useEffect(() => {
        function updateMemoryUsage() {
            if (performance.memory) {
                const memoryInfo = performance.memory;
                const usedMB = (memoryInfo.usedJSHeapSize / 1024 / 1024).toFixed(2);
                setMemoryUsage(`Used: ${usedMB} MB`);
            } else {
                setMemoryUsage("Memory info not supported in this browser. <br/> Please use Chrome");
            }
        }

        const interval = setInterval(updateMemoryUsage, 500);
        return () => clearInterval(interval);
    }, []);

    return (
        <div style={{ padding: "10px" }}>
            <Typography color="textPrimary" component="div">
                <Typography color="textSecondary" component="div">
                    Client-Side Memory Usage
                </Typography>

                <Typography color="textSecondary" component="div" style={{ fontSize: "1.2em", fontWeight: "bold" }}>
                    {memoryUsage}
                </Typography>
            </Typography>
        </div>
    );
};
